# Fork CMS Documentation

[![Slack Status](https://fork-cms.herokuapp.com/badge.svg)](https://fork-cms.herokuapp.com/)

You can find the documentation for Fork CMS here. A more user friendly version can be read on [http://docs.fork-cms.com](http://docs.fork-cms.com)

## Contributing

Want to help improving our documentation? Check out the dedicated article about contributing. See [contribute/03. documentation](docs/06. contribute/06. documentation.md) for details.

Questions? Feel free to discuss on our [Slack channel](https://fork-cms.herokuapp.com/)


## Table of Contents

### 1. Installation
1. [Download, upload & installation](docs/01. installation/01. installation.md)
1. [Installation Wizard](docs/01. installation/02. installation_wizard.md)
1. [Minimum requirements](docs/01. installation/03. minimum_requirements.md)
1. [Webservers](docs/01. installation/04. webservers.md)
1. [Upgrading](docs/01. installation/05. upgrading.md)
1. [Version control](docs/01. installation/06. version_control.md)
1. [Faq](docs/01. installation/07. faq.md)

### 2. Getting started
1. [Introduction](docs/02. getting started/01. introduction.md)
1. [Adding modules](docs/02. getting started/02. adding_modules.md)
1. [Adding a theme](docs/02. getting started/03. adding_a_theme.md)
1. [Spam protection](docs/02. getting started/04. spam_protection.md)
1. [Linking Facebook](docs/02. getting started/05. linking_facebook.md)
1. [Enable Twitter cards](docs/02. getting started/06. enable_twittercards.md)
1. [Configuring cronjobs](docs/02. getting started/07. configuring_cronjobs.md)
1. [Publish your website](docs/02. getting started/08. publish_your_website.md)

### 3. User guide
1. [Introduction](docs/03. user guide/01. introduction.md)
1. [Dashboard](docs/03. user guide/02. dashboard.md)
1. [Pages](docs/03. user guide/03. pages.md)
1. [The editor](docs/03. user guide/04. the_editor.md)
1. [Standard modules](docs/03. user guide/05. standard_modules.md)
1. [SEO](docs/03. user guide/06. seo.md)
1. [Marketing](docs/03. user guide/07. marketing.md)
1. [Mailmotor](docs/03. user guide/08. mailmotor.md)
1. [Settings](docs/03. user guide/09. settings.md)

### 4. Theming guide
1. [Introduction](docs/04. theming guide/01. introduction.md)
1. [What is a theme within fork?](docs/04. theming guide/02. what_is_a_theme_within_fork.md)
1. [Theme contents](docs/04. theming guide/03. theme_contents.md)
1. [Page templates, positions & blocks](docs/04. theming guide/04. page_templates_positions_and_blocks.md)
1. [Making a basic theme](docs/04. theming guide/05. making_a_basic_theme.md)
1. [Creating a template](docs/04. theming guide/06. creating_a_template.md)
1. [Locale and translations](docs/04. theming guide/07. locale_and_translations.md)
1. [Theme checklist](docs/04. theming guide/08. theme_checklist.md)

### 5. Module guide
1. [Introduction](docs/05. module guide/02. introduction.md)
1. [Applications & Library](docs/05. module guide/02. applications_and_library.md)
1. [Routing](docs/05. module guide/03. routing.md)
1. [Modeling your module](docs/05. module guide/04. modeling_your_module.md)
1. [Writing your module](docs/05. module guide/05. writing_your_module.md)
1. [Blocks and widgets](docs/05. module guide/06. blocks_and_widgets.md)
1. [Templates](docs/05. module guide/07. templates.md)
1. [Translations/Locale](docs/05. module guide/08. translations_or_locale.md)
1. [Forms](docs/05. module guide/09. forms.md)
1. [Data grids](docs/05. module guide/10. data_grids.md)
1. [Generate thumbnails based on folder](docs/05. module guide/11. generate_thumbnails_based_on_folder.md)
1. [Javascript](docs/05. module guide/12. javascript.md)
1. [Ajax](docs/05. module guide/13. ajax.md)
1. [Passing data from PHP to javascript](docs/05. module guide/14. passing_data_from_php_to_javascript.md)
1. [Cronjobs](docs/05. module guide/15. cronjobs.md)
1. [Module settings](docs/05. module guide/16. module_settings.md)
1. [Pagination](docs/05. module guide/17. pagination.md)
1. [Meta data & SEO](docs/05. module guide/18. meta_data_and_seo.md)
1. [Breadcrumbs](docs/05. module guide/19. breadcrumbs.md)
1. [Tags](docs/05. module guide/20. tags.md)
1. [Search](docs/05. module guide/21. search.md)
1. [Creating frontend-widgets](docs/05. module guide/22. creating_frontend_widgets.md)
1. [Events publish and subscribe](docs/05. module guide/25. events_publish_and_subscribe.md)
1. [Creating an installer](docs/05. module guide/26. creating_an_installer.md)
1. [Creating a module.zip file](docs/05. module guide/27. creating_a_module_zip_file.md)
1. [Implementing Twitter Cards](docs/05. module guide/28. twittercards.md)

### 6. Contribute
1. [Introduction](docs/06. contribute/01. introduction.md)
1. [Testing](docs/06. contribute/02. testing.md)
1. [Features](docs/06. contribute/03. features.md)
1. [Translations](docs/06. contribute/04. translations.md)
1. [User interface](docs/06. contribute/05. user_interface.md)
1. [Documentation](docs/06. contribute/06. documentation.md)
1. [Spreading the word](docs/06. contribute/07. spreading_the_word.md)
1. [Open sourcing your modules/themes](docs/06. contribute/08. open_sourcing_fork_cms_modules_and_themes.md)

### 7. Media Library
1. [Introduction](docs/07. media library/01. introduction.md)
1. [Integrating in your module](docs/07. media library/02. integrating in your module.md)
1. [Console commands](docs/07. media library/03. console commands.md)
1. [Cropper](docs/07. media library/04. cropper.md)